[SOLVED] Error The repository `ftp:xyz Release’ does not have a Release file

Issue

This Content is from stackExchange . Question asked by SDP

I didn’t change anything or did any config changes,just usually get the updates but now after i use sudo apt-get update its giving me this error in terminal.
FYI i have already tried what is already been asked but idk its not working for me.

OS information:
enter image description here

myname@myname:~$ sudo apt update 
Err:1 ftp://ubuntu.hbcse.tifr.res.in/ubuntu focal InRelease
  Could not connect to ubuntu.hbcse.tifr.res.in:21 (158.144.42.100). - connect (113: No route to host) Cannot initiate the connection to ubuntu.hbcse.tifr.res.in:21 (2406:f00:2:1::100). - connect (101: Network is unreachable)
Ign:2 ftp://ubuntu.hbcse.tifr.res.in/ubuntu focal-updates InRelease                                                                                  
Ign:3 ftp://ubuntu.hbcse.tifr.res.in/ubuntu focal-backports InRelease                                                                                
Ign:4 ftp://ubuntu.hbcse.tifr.res.in/ubuntu focal-security InRelease                                                                                 
Err:5 ftp://ubuntu.hbcse.tifr.res.in/ubuntu focal-updates Release                                                                                    
  Cannot initiate the connection to ubuntu.hbcse.tifr.res.in:21 (2406:f00:2:1::100). - connect (101: Network is unreachable)
Err:6 ftp://ubuntu.hbcse.tifr.res.in/ubuntu focal-backports Release                                                                                  
  Cannot initiate the connection to ubuntu.hbcse.tifr.res.in:21 (2406:f00:2:1::100). - connect (101: Network is unreachable)
Err:7 ftp://ubuntu.hbcse.tifr.res.in/ubuntu focal-security Release                                                                                   
  Cannot initiate the connection to ubuntu.hbcse.tifr.res.in:21 (2406:f00:2:1::100). - connect (101: Network is unreachable)
Hit:8 http://repo.mysql.com/apt/ubuntu focal InRelease                                                                                               
Hit:10 http://packages.microsoft.com/repos/code stable InRelease                                                                                     
Hit:11 http://dl.google.com/linux/chrome/deb stable InRelease                                                                                        
Ign:9 https://www.rabbitmq.com/debian testing InRelease                                                                                              
Err:12 https://www.rabbitmq.com/debian testing Release                                                                                               
  404  OK [IP: 172.67.16.25 443]
Hit:13 http://ppa.launchpad.net/libreoffice/ppa/ubuntu focal InRelease                                                                               
Get:14 https://pkg.fig.io/apt stable InRelease [1,391 B]                                                                  
Ign:15 https://repo.mongodb.org/apt/ubuntu focal/mongodb-org/5.0 InRelease                                                                           
Hit:16 http://ppa.launchpad.net/slgobinath/safeeyes/ubuntu focal InRelease                                                       
Hit:17 https://repo.mongodb.org/apt/ubuntu focal/mongodb-org/5.0 Release                            
Ign:19 https://www.scootersoftware.com bcompare4 InRelease                    
Hit:20 https://www.scootersoftware.com bcompare4 Release
Reading package lists... Done
E: The repository 'ftp://ubuntu.hbcse.tifr.res.in/ubuntu focal-updates Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'ftp://ubuntu.hbcse.tifr.res.in/ubuntu focal-backports Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'ftp://ubuntu.hbcse.tifr.res.in/ubuntu focal-security Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://www.rabbitmq.com/debian testing Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

Solution

The PPA you’ve added does not support your version of Ubuntu, meaning there aren’t any packages for your particular release.

For example, the ppa:mc3man/trusty-media PPA is only for Trusty (Ubuntu 14.04) only (trusty-media). Obviously, it has no files for Xenial (16.04). You can check the PPA’s Launchpad page to see which versions of Ubuntu are supported.

I’d suggest the following:

  • Remove the PPA for an older release. For this example: sudo ppa-purge ppa:mc3man/trusty-media
  • If there’s a PPA for your curent release, add it. In this case, there’s a PPA for Xenial: mc3man/xerus-media. You can add it using sudo add-apt-repository ppa:mc3man/xerus-media

To summarize, you need to remove the added PPA, and use another one that has packages for your particular release.


This Question and Answer are collected from askubuntu, is licensed under the terms of 
CC BY-SA 2.5.
CC BY-SA 3.0.
CC BY-SA 4.0.
people found this article helpful. What about you?